<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Company extends Eloquent {

	protected $table = 'companies';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('name', 'code', 'group', 'address', 'location_id', 'location_name', 'status', 'attributes');

	public function Location()
	{
		return $this->hasOne('App\Models\Location');
	}

	public function users()
	{
		return $this->hasMany('App\Models\UserEmployee', 'company_id');
	}

}